<?php

namespace Modules\DealStatus\Interfaces;

use Modules\DealStatus\Models\DealStatus;

interface DealStatusRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): DealStatus;
    public function update(array $request, DealStatus $dealStatus): DealStatus;
    public function destroy(DealStatus $dealStatus): void;
    public function destroyAll(array $ids): void;
    public function restore(DealStatus $dealStatus): void;
    public function restoreAll(array $ids): void;
}
